Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044574
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-07-08 09:562020-07-27 12:03
ReporterLeyreView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2019-09-23
Regression introduced in release3.0PR19Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/openbravo/-/commit/4ec715bfa9c6bc0ab7b3e6f644ec05ef4998c721 [^]
Triggers an Emergency PackNo
Summary

0044574: The date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process

DescriptionThe date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process
Steps To ReproduceBackend as System Administrator role:
1. "Process Definition" window -> Fix Backdated Transactions
2. "Parameter" tab -> Fix Backdated From
   2.1. Update "Default Value" = OB.formatDateTime(new Date())

Backend as F&B International Group Admin - F&B International Group role:
1. "Costing Rules" window -> Select one record and click on "Fix Backdated Transactions"

Actual result: Verify that the date shown is two hours less than the current date
Expected result: The date should be the same as the current date.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044640 closedcberner Exported grid csv with enabled creation date column value does not match in the application 
depends on backport 0044688PR20Q3 closedcberner The date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process 
depends on backport 0044689PR20Q2.1 closedcberner The date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process 
depends on backport 0044690PR20Q1.3 closedcberner The date is not displayed correctly in the "Costing Rules" window -> "Fix Backdated Transactions" process 
caused by defect 0038671 closedalostale random NPE getting data for some date/datetime fields 

-  Notes
(0121623)
hgbot (developer)
2020-07-27 10:37

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/112 [^]
(0121625)
hgbot (developer)
2020-07-27 10:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 402d553a2195f8111ae7d96fbf871f8bb5260852
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-07-27T10:55:12+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/402d553a2195f8111ae7d96fbf871f8bb5260852 [^]

Fixes ISSUE-44574: Format date using provided timezone in OBBindings#formatDate

Previously as a side-effect date was being converted to UTC wrongly in
OBBindings formatDate function.
This fixes it by formatting using the local timezone as was previously
done prior to the regression commit. Fixes display of date in some
parameter windows that were relying on it (e.g. Costing Rules).

Fixes regression introduced in commit 4ec715bf

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/OBBindings.java
---
(0121626)
hgbot (developer)
2020-07-27 10:57

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/112 [^]

- Issue History
Date Modified Username Field Change
2020-07-08 09:56 Leyre New Issue
2020-07-08 09:56 Leyre Assigned To => platform
2020-07-08 09:56 Leyre Modules => Core
2020-07-08 09:56 Leyre Triggers an Emergency Pack => No
2020-07-09 10:10 RenateNieuwkoop Issue Monitored: RenateNieuwkoop
2020-07-27 09:49 cberner Assigned To platform => cberner
2020-07-27 09:50 cberner Relationship added related to 0044640
2020-07-27 09:52 cberner Regression level => Production - Confirmed Stable
2020-07-27 09:52 cberner Regression date => 2019-09-23
2020-07-27 09:52 cberner Regression introduced in release => 3.0PR19Q4
2020-07-27 09:52 cberner Regression introduced by commit => https://gitlab.com/openbravo/product/openbravo/-/commit/4ec715bfa9c6bc0ab7b3e6f644ec05ef4998c721 [^]
2020-07-27 09:58 cberner Status new => scheduled
2020-07-27 10:37 hgbot Note Added: 0121623
2020-07-27 10:57 hgbot Resolution open => fixed
2020-07-27 10:57 hgbot Status scheduled => closed
2020-07-27 10:57 hgbot Fixed in Version => PR20Q4
2020-07-27 10:57 hgbot Note Added: 0121625
2020-07-27 10:57 hgbot Note Added: 0121626
2020-07-27 11:10 cberner Review Assigned To => alostale
2020-07-27 12:03 alostale Relationship added caused by 0038671


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker